Name:       maps-plugin-mapzen
Summary:    Tizen Mapzen Maps Plug-in Library
Version:    0.1.3
Release:    1
Group:      Location/Libraries
License:    Apache-2.0 and MIT
Source0:    %{name}-%{version}.tar.gz
Source1:    deps.tar.gz
ExclusiveArch:  %ix86 x86_64 %arm aarch64

BuildRequires:  cmake
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(dlog)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:  pkgconfig(capi-network-connection)
BuildRequires:	pkgconfig(capi-maps-service)
BuildRequires:  capi-maps-service-plugin-devel
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(evas)
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(tangram-es)
Requires(post):  /sbin/ldconfig
Requires(postun):  /sbin/ldconfig

#
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%ifarch %arm
%define ARCH arm
%endif

%ifarch aarch64
%define ARCH aarch64
%endif

%ifarch %ix86
%define ARCH i586
%endif

%ifarch x86_64
%define ARCH x86_64
%endif

%description
This package provides Plugin APIs for Mapzen.

%prep
%setup -q
%setup -q -T -D -a 1

%build

MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix} -DMAJORVER=${MAJORVER} -DFULLVER=%{version} -DLIBDIR=%{_libdir} -DARCH=%{ARCH} -DSYSCONF_DIR=%{_sysconfdir}
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install

mkdir -p %{buildroot}/usr/share/maps/mapzen/scenes/
cp -r scenes/* %{buildroot}/usr/share/maps/mapzen/scenes/

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%manifest maps-plugin-mapzen.manifest
%license LICENSE
%defattr(-,root,root,-)
%{_libdir}/maps/plugins/libmaps-plugin-mapzen.so*
%{_libdir}/pkgconfig/maps-plugin-mapzen.pc
%{_prefix}/share/maps/mapzen/scenes/*

%package devel
Summary:    Tizen Mapzen Maps Plug-in Library (Development)
Group:      Framework/maps
Requires:   %{name} = %{version}-%{release}

%description devel
This package provides Plugin APIs for Mapzen. (Development)

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%files devel
%defattr(-,root,root,-)
%{_includedir}/mapzen-plugin/*.h
%{_libdir}/pkgconfig/maps-plugin-mapzen.pc
%{_libdir}/maps/plugins/libmaps-plugin-mapzen.so
