/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _MAPZEN_DEBUG_H_
#define _MAPZEN_DEBUG_H_

#include <dlog.h>
#include <string.h>
#include <assert.h>

#ifdef LOG_TAG
#undef LOG_TAG
#endif

#define EXPORT_API __attribute__((visibility("default")))

#define LOG_TAG "MAPZEN_ENGINE"

/* normal log */
#define MAP_DEBUG(fmt, args...) LOGD(fmt, ##args)
#define MAP_ENTER() LOGD(WCOLOR_GREEN "BEGIN >>>>" WCOLOR_END)
#define MAP_LEAVE() LOGD(WCOLOR_GREEN "END <<<<" WCOLOR_END)

#endif /* _MAPZEN_DEBUG_H_ */
