/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _MAPZEN_RESTCURL_H_
#define _MAPZEN_RESTCURL_H_

#include "mapzen_server_private.h"

#define CURL_MAX_CONNECTS	30

int init_curl();

int deinit_curl();

mapzen_error_e get_proxy_address(char** proxyAddress);

int get_num_running_requests();

int add_handle(const char *url, mapzen_req_type type, void *user_data);

void cancel_request(int request_id);

#endif /* _MAPZEN_RESTCURL_H_ */
