/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdio.h>
#include <glib.h>
#include <pthread.h>
#include "mapzen_revgeocode.h"
#include "mapzen_types.h"
#include "mapzen_server_private.h"
#include "mapzen_debug.h"
#include "mapzen_queue.h"
#include "mapzen_restcurl.h"
#include "mapzen_util.h"

#define REVERSE_GEOCODE_URL	"https://search.mapzen.com/v1/reverse?size=10&layers=address,locality&point.lat=%f&point.lon=%f&api_key=%s"

int query_revgeocode(gchar *maps_key, gdouble latitude, gdouble longitude, gpointer user_data)
{
	char url[1024];

	if (maps_key != NULL)
		snprintf(url, sizeof(url), REVERSE_GEOCODE_URL, latitude, longitude, maps_key);
	else
		snprintf(url, sizeof(url), REVERSE_GEOCODE_URL, latitude, longitude, "null");

	add_handle(url, REQ_TYPE_REVGEOCODE, user_data);

	return 0;
}
