/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _MAPZEN_UTIL_H_
#define _MAPZEN_UTIL_H_

#include "mapzen_types.h"

#define STRCPY(buffer, string) strncpy(buffer, string, sizeof(buffer)-strlen(buffer)-1)
#define STRCAT(buffer, string) strncat(buffer, string, sizeof(buffer)-strlen(buffer)-1)

void calculate_point(gdouble Lat1, gdouble Lon1, int dBearing, gdouble dist, coords_s **coord);

// Return the longitude value wrapped to the range [-180, 180]
double wrap_longitude(double longitude);

// Return the latitude value wrapped to the range [-90, 90]
double wrap_latitude(double latitude);

double degrees_to_radians(double degrees);
double radians_to_degrees(double radians);

int convert_maps_error_to_mapzen_error(int error);
int convert_mapzen_error_to_maps_error(int error);
mapzen_maneuver_type convert_int_to_mapzen_maneuver_type(int maneuver_type_id);
int convert_mapzen_maneuver_type_to_maps_turn_type(mapzen_maneuver_type maneuver_type);

int convert_tangram_view_type_to_maps_view_type(int maps_view_type);
int convert_maps_view_type_to_tangram_view_type(int maps_view_type);

#endif /* _MAPZEN_UTIL_H_ */
